﻿#----------------------------------------------------------#
#- MusicBeeIPCSDK Rb v2.0.0                               -#
#- Copyright © Kerli Low 2014                             -#
#- This file is licensed under the                        -#
#- BSD 2-Clause License                                   -#
#- See LICENSE_MusicBeeIPCSDK for more information.       -#
#----------------------------------------------------------#

require "ffi"


class FloatInt < FFI::Union
  layout :f, :float,
         :i, :int
         
  def initialize(opts={}, *args)
    self[:f] = opts[:f] if opts[:f]
    self[:i] = opts[:i] if opts[:i]
    super(*args)
  end
end


class LRUShort < FFI::Union  
  layout :lr, :long,
         :low, :ushort,
         :high, :ushort, 2
         
  def initialize(lr=0, *args)
    self[:lr] = lr
    super(*args)
  end
end


class COPYDATASTRUCT < FFI::Struct
  layout :dwData, :pointer,
         :cbData, :uint32,
         :lpData, :pointer
  end
