﻿#----------------------------------------------------------#
#- MusicBeeIPCSDK Rb v2.0.0                               -#
#- Copyright © Kerli Low 2014                             -#
#- This file is licensed under the                        -#
#- BSD 2-Clause License                                   -#
#- See LICENSE_MusicBeeIPCSDK for more information.       -#
#----------------------------------------------------------#

require "ffi"

class MusicBeeIPC
  private
  
  extend FFI::Library
  
  ffi_lib "user32", "kernel32"
  ffi_convention :stdcall
  
  attach_function :send_message, :SendMessageW,
                  [:pointer, :uint, :ulong, :long], :long
  
  attach_function :send_message_ptr, :SendMessageW,
                  [:pointer, :uint, :ulong, :long], :pointer
  
  attach_function :find_window, :FindWindowW,
                  [:buffer_in, :buffer_in], :pointer

  attach_function :open_file_mapping, :OpenFileMappingW,
                  [:int, :int, :buffer_in], :pointer

  attach_function :close_handle, :CloseHandle,
                  [:pointer], :int

  attach_function :map_view_of_file, :MapViewOfFile,
                  [:pointer, :int, :int, :int, :size_t], :pointer

  attach_function :unmap_view_of_file, :UnmapViewOfFile,
                  [:pointer], :int
end
